Bug 1776595 - Conformance is not running on 4.3 or 4.4 [NEEDINFO]
Summary: Conformance is not running on 4.3 or 4.4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Test Infrastructure
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 4.4.0
Assignee: Clayton Coleman
QA Contact: Xingxing Xia
URL:
Whiteboard:
Depends On:
Blocks: 1776596
TreeView+ depends on / blocked
 
Reported: 2019-11-26 04:26 UTC by Clayton Coleman
Modified: 2020-05-04 11:17 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1776596 (view as bug list)
Environment:
Last Closed: 2020-05-04 11:17:08 UTC
Target Upstream Version:
skuznets: needinfo? (ccoleman)


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift origin pull 23893 'None' 'open' 'Bug 1776595: Enable conformance-k8s for 1.16' 2019-12-05 13:15:02 UTC
Red Hat Product Errata RHBA-2020:0581 None None None 2020-05-04 11:17:36 UTC

Description Clayton Coleman 2019-11-26 04:26:38 UTC
We need to pass conformance now.

The 1.16 tests are taking too long, I will have to parallelize them.

Comment 2 Xingxing Xia 2020-01-03 07:02:17 UTC
Like https://bugzilla.redhat.com/show_bug.cgi?id=1776596#c4 :
> Checked the PR, it shows "Nightly conformance tests are run ...
> https://storage.googleapis.com/origin-ci-test/logs/periodic-ci-origin-conformance-k8s/527/artifacts/e2e-conformance-k8s/clusterversion.json which shows "Cluster version is 0.0.1-2019-12-16-164253", this is not a nightly payload which should look like 4.3.0-0.nightly-2019-12-13-180405 format.
Checked several build number of https://openshift-gce-devel.appspot.com/builds/origin-ci-test/logs/periodic-ci-origin-conformance-k8s , their files of artifacts/e2e-conformance-k8s/clusterversion.json are:
https://storage.googleapis.com/origin-ci-test/logs/periodic-ci-origin-conformance-k8s/544/artifacts/e2e-conformance-k8s/clusterversion.json
https://storage.googleapis.com/origin-ci-test/logs/periodic-ci-origin-conformance-k8s/542/artifacts/e2e-conformance-k8s/clusterversion.json
...
which show versions like 0.0.1-2020-01-02-165202:
...
                        "lastTransitionTime": "2020-01-02T17:29:30Z",
                        "message": "Done applying 0.0.1-2020-01-02-165202",
                        "status": "True",
                        "type": "Available"
....

Such "0.0.1-2020-01-02-165202" format is not a nightly payload format "4.4.0-0.nightly-2019-12-20-210709".
Like https://bugzilla.redhat.com/show_bug.cgi?id=1776596#c4 , could you hint how to verify this or does it need QE to verify? Please correct me if wrong. Thanks.

Comment 3 Steve Kuznetsov 2020-01-03 18:09:26 UTC
The re-assign wasn't really needed, Clayton owns this suite.

Comment 4 Clayton Coleman 2020-01-21 00:30:58 UTC
This is now resolved

Comment 6 errata-xmlrpc 2020-05-04 11:17:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.